
<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
    <title>前端教程：Django上传文件 / 开普饭 </title>
    <meta name="description" content="前端教程：Django上传文件 对于Web应用程序,以便能够上传文件(资料图片,歌曲,PDF格式,文字......),它通常是很有用的.让我们在这一节中来讨论如何使用Django上传文件. 上传图片 在开始开发图片上传之前,请确保Python的图像库(PIL)已经安装.现在来说明上传图片,让我们创建一个配置文件格式,在myapp/forms.py - #-*- coding: utf-8 -*- from django import forms class ProfileForm(forms.Form): name = for" />
    <meta name="applicable-device" content="pc,mobile" />
          
    <link rel='dns-prefetch' href='//pic.ikafan.com' />
    <link rel='stylesheet' id='stylesheet-css' href='//n4.ikafan.com/assetsj/style.css' type='text/css' media='all' />
    <!-- <link rel='stylesheet' id='stylesheet-css'  href='https://computeinit.com/wp-content/themes/justnews/css/style.css?ver=6.9.2' type='text/css' media='all' /> -->
      
    <script src="https://n4.ikafan.com/g/show.js"></script>
        <!--[if lte IE 9]><script src="//n4.ikafan.com/assetsj/update.js"></script><![endif]-->
</head>
<body class="archive qapress-list el-boxed">

<header class="header">
    <div class="container clearfix">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse" aria-label="menu">
                <span class="icon-bar icon-bar-1"></span>
                <span class="icon-bar icon-bar-2"></span>
                <span class="icon-bar icon-bar-3"></span>
            </button>
                        <div class="logo">
                <a href="/" rel="home"><img src="//n4.ikafan.com/assetsj/logo.png" alt="开普饭"></a>
            </div>
        </div>
        <div class="collapse navbar-collapse">
            <nav class="navbar-left primary-menu">
                <ul id="menu-justnews-menu" class="nav navbar-nav wpcom-adv-menu">
                                        <li class="menu-item"><a href="/about/hot/">热门推荐</a></li>
                                        <li class="menu-item"><a href="/about/new/">最新更新</a></li>
                                        <li class="menu-item"><a href="/about/editor/">编辑推荐</a></li>
                                   
                </ul>
            </nav>            
            <!-- <div class="navbar-action pull-right">
                <div class="navbar-search-icon j-navbar-search"><i class="wpcom-icon wi"><svg aria-hidden="true"><use xlink:href="#wi-search"></use></svg></i></div>
                <div id="j-user-wrap"> 
                </div>
                <a class="btn btn-primary btn-xs" href="#">
                    xxx</a>
            </div>
            <form class="navbar-search" action="/search/" method="get" role="search">
                <div class="navbar-search-inner">
                    <i class="wpcom-icon wi navbar-search-close"><svg aria-hidden="true"><use xlink:href="#wi-close"></use></svg></i>                    <input type="text" name="s" class="navbar-search-input" autocomplete="off" placeholder="输入关键词搜索..." value="">
                    <button class="navbar-search-btn" type="submit"><i class="wpcom-icon wi"><svg aria-hidden="true"><use xlink:href="#wi-search"></use></svg></i></button>
                </div>
            </form> -->
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container -->
</header><div id="wrap">    
    <div class="wrap container">
        <main class="main">
            <article class="entry">
                <div class="entry-main">
                    <div class="entry-head">
                        <h1 class="entry-title">前端教程：Django上传文件</h1>
                        <div class="entry-info">
                            <time class="entry-date published"  pubdate>2024-03-29 01:20:48</time>  
                        </div>                    </div>
                    <div id="single_top"></div>
<script>insertAdIfNeeded();</script>                        <!-- <div class="entry-excerpt entry-summary">
                            
                        </div> -->
                    <div class="entry-content">
                        <p>对于Web应用程序，以便能够上传文件(资料图片，歌曲，PDF格式，文字......)，它通常是很有用的。让我们在这一节中来讨论如何使用Django上传文件。</p>
<div><img src="//n4.ikafan.com/assetsj/blank.gif" class="j-lazy" loading="lazy" data-original='//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UxMDkuMzYwZG9jLmNuL0Rvd25sb2FkSW1nLzIwMjEvMDgvMTIxNy8yMjgyNjUyMDlfMV8yMDIxMDgxMjA2MjAzNjg3OC5qcGc=.jpg' /></div>
<h2>上传图片</h2>
<p>在开始开发图片上传之前，请确保Python的图像库(PIL)已经安装。现在来说明上传图片，让我们创建一个配置文件格式，在myapp/forms.py -</p>
<pre>#-*- coding: utf-8 -*-
from django import forms

class ProfileForm(forms.Form):
   name = forms.CharField(max_length = 100)
   picture = forms.ImageFields() 123456复制代码类型：[html]</pre>
<p>正如你所看到的，这里的主要区别仅仅是forms.ImageField。ImageField字段将确保上传的文件是一个图像。如果不是，格式验证将失败。</p>
<p>现在，让我们创建一个 “Profile” 模型，以保存上传的资料。在 myapp/models.py -</p>
<pre>from django.db import models

class Profile(models.Model):
   name = models.CharField(max_length = 50)
   picture = models.ImageField(upload_to = 'pictures')

   class Meta:
   db_table = "profile"12345678复制代码类型：[html]</pre>
<p>正如所看到的模型，ImageField 使用强制性参数：upload_to. 这表示硬盘驱动器，图像保存所在的地方。注意，该参数将被添加到settings.py文件中定义的MEDIA_ROOT选项。</p>
<p>现在我们有表单和模型，让我们来创建视图，在myapp/ views.py -</p>
<pre>#-*- coding: utf-8 -*-
from myapp.forms import ProfileForm
from myapp.models import Profile

def SaveProfile(request):
   saved = False

   if request.method == "POST":
   #Get the posted form
   MyProfileForm = ProfileForm(request.POST, request.FILES)

   if MyProfileForm.is_valid():
   profile = Profile()
   profile.name = MyProfileForm.cleaned_data["name"]
   profile.picture = MyProfileForm.cleaned_data["picture"]
   profile.save()
   saved = True
   else:
   MyProfileForm = Profileform()

   return render(request, 'saved.htmll', locals())12345678910111213141516171819202122复制代码类型：[html]</pre>
<p>这部分不要错过，创建一个ProfileForm并做了一些修改，添加了第二个参数：request.FILES. 如果不通过表单验证会失败，给一个消息，说该图片是空的。</p>
<p>现在，我们只需要saved.htmll模板和profile.htmll模板，表单和重定向页面−</p>
<p>myapp/templates/saved.htmll −</p>
<pre>&lt;html&gt;
   &lt;body&gt;

   {% if saved %}   &lt;strong&gt;Your profile was saved.&lt;/strong&gt;
   {% endif %}

   {% if not saved %}   &lt;strong&gt;Your profile was not saved.&lt;/strong&gt;
   {% endif %}
   &lt;/body&gt;&lt;/html&gt;123456789101112131415复制代码类型：[html]</pre>
<p>myapp/templates/profile.htmll −</p>
<pre>&lt;html&gt;
   &lt;body&gt;

   &lt;form name = "form" enctype = "multipart/form-data"
   action = "{% url "myapp.views.SaveProfile" %}" method = "POST" &gt;{% csrf_token %}
   &lt;div style = "max-width:470px;"&gt;
   &lt;center&gt;
   &lt;input type = "text" style = "margin-left:20%;"
   placeholder = "Name" name = "name" /&gt;
   &lt;/center&gt;
   &lt;/div&gt;

   &lt;br&gt;

   &lt;div style = "max-width:470px;"&gt;
   &lt;center&gt;
   &lt;input type = "file" style = "margin-left:20%;"
   placeholder = "Picture" name = "picture" /&gt;
   &lt;/center&gt;
   &lt;/div&gt;

   &lt;br&gt;

   &lt;div style = "max-width:470px;"&gt;
   &lt;center&gt; 

   &lt;button style = "border:0px;background-color:#4285F4; margin-top:8%;
   height:35px; width:80%; margin-left:19%;" type = "submit" value = "Login" &gt;
   &lt;strong&gt;Login&lt;/strong&gt;
   &lt;/button&gt;

   &lt;/center&gt;
   &lt;/div&gt;

   &lt;/form&gt;

   &lt;/body&gt;&lt;/html&gt; 123456789101112131415161718192021222324252627282930313233343536373839复制代码类型：[html]</pre>
<p>接下来，我们需要配对网址以开始： myapp/urls.py</p>
<pre>from django.conf.urls import patterns, url
from django.views.generic import TemplateView

urlpatterns = patterns(
   'myapp.views', url(r'^profile/',TemplateView.as_view(
   template_name = 'profile.htmll')), url(r'^saved/', 'SaveProfile', name = 'saved')
)123456789复制代码类型：[html]</pre>
<p>当访问"/myapp/profile"，我们会得到下面profile.htmll模板显示 −</p>
<div><img src="//n4.ikafan.com/assetsj/blank.gif" class="j-lazy" loading="lazy" data-original='//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UxMDkuMzYwZG9jLmNuL0Rvd25sb2FkSW1nLzIwMjEvMDgvMTIxNy8yMjgyNjUyMDlfMl8yMDIxMDgxMjA2MjAzNzI2OS5qcGc=.jpg' /></div>
<p>在格式提交后，已保存的模板将显示如下 −</p>
<div><img src="//n4.ikafan.com/assetsj/blank.gif" class="j-lazy" loading="lazy" data-original='//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UxMDkuMzYwZG9jLmNuL0Rvd25sb2FkSW1nLzIwMjEvMDgvMTIxNy8yMjgyNjUyMDlfM18yMDIxMDgxMjA2MjAzNzQ3Mi5qcGc=.jpg' /></div>
<p>这里我们只讲解图片上传示例，但如果想上传其他类型的文件，只需更换 ImageField 在这两个模型及FileField表单。</p>                        <div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>                                                  
                     </div>

                    <div class="entry-tag"></div>
                                            <div class="entry-action">
                            <div class="btn-zan" data-id="7544"><i class="wpcom-icon wi"><svg aria-hidden="true"><use xlink:href="#wi-thumb-up-fill"></use></svg></i> 赞 <span class="entry-action-num">(0)</span></div>
                        </div>
                    
                    
                </div>
                <!-- <div class="sec-panel main-list main-list-default">
                    <div class="tab-wrap active">
                        <ul class="post-loop post-loop-default cols-3">
                             
                        </ul>
                    </div>
                </div>  -->
                 
                <div class="entry-related-posts">
                    <h3 class="entry-related-title">相关推荐</h3>
                    <ul class="entry-related post-loop-default">
                                                                                                                   
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/RK5Emn8X5D.html">微信也可远程查看电脑文件，上传文件，控制电脑，方便实用要收藏</a></h4>
                                <div class="item-excerpt"><p>微信也可远程查看电脑文件，上传文件，控制电脑，方便实用要收藏</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/GB97rMrMvE.html">rsync和scp上传文件的区别</a></h4>
                                <div class="item-excerpt"><p>rsync 命令 rsync 是remote sync的缩写,用于linux系统下的数据镜像备份工具,远程服务器之间的文件拷贝. rsync文件上传 rsync上传 $ rsync -av –excl ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/w0vpq8Lm9o.html">PHP实现上传文件并存进数据库的方法</a></h4>
                                <div class="item-excerpt"><p>本文实例讲述了PHP实现上传文件并存进数据库的方法.分享给大家供大家参考.具体如下: show_add.php文件如下: &lt;?php if(!isset($_REQUEST['id']) or  ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/JzWQBdGx5o.html">IE浏览器上传文件时本地路径变成”C:\fakepath\”的问题</a></h4>
                                <div class="item-excerpt"><p>在使用&lt;input id=&quot;file_upl&quot; type=&quot;file&quot; /&gt;控件上传文件时,有时会需要获取文件本地路径展示给客户,这时可以通过这样的 ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/XRvkgDz6vB.html">百度云盘提示上传文件夹超出限制怎么办?</a></h4>
                                <div class="item-excerpt"><p>百度云盘如果不是会员的画,文件夹数量不能超过500个,如如果想要上传超过500个文件夹,要不充会员,要不就是用下文介绍的方法. 软件名称: 百度云管家 不限速版 v5.6.2 官方版 [百度云盘限速破 ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/GB972OBpvE.html">CAD梦想画图（在线CAD）上传文件</a></h4>
                                <div class="item-excerpt"><p>在线CAD中如何上传本地CAD文件到CAD梦想画图上,以便可以手机扫码浏览图纸. 执行方式 打开CAD梦想画图软件,点击主页,点击上传文件.如图: 操作步骤 (1)单击上传文件按钮后,系统会弹出如下图 ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/wrWzn0n7Wx.html">php 上传文件并对上传的文件进行简单验证（错误信息，格式（防伪装），大小，是否为http上传）</a></h4>
                                <div class="item-excerpt"><p>&lt;body&gt; &lt;?php /** *验证错误 *如果有错,就返回错误,如果没错,就返回null */ function check($file) { //1:验证是否有误 if($f ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/mdWnnVAbWM.html">Linux实现上传文件到百度网盘</a></h4>
                                <div class="item-excerpt"><p>一.需要安装的工具: ①. python-pip 注解:pip 是 Python 包管理工具,该工具提供了对Python 包的查找.下载.安装.卸载的功能. ②. requests 注解:reques ...</p></div>
                            </div> 
                        </li>
                                                                                               
                        <li class="item item-no-thumb">
                             
                            <div class="item-content">
                                <h4 class="item-title"> <a href="https://www.kpfans.com/article/GB97EgJp5E.html">httprunner 3.x学习14 - 上传文件(upload)</a></h4>
                                <div class="item-excerpt"><p>前言 requests 库里面上传文件会用到 requests_toolbelt, 可以很方便的解决 multipart/form-data 类型的文件上传相关接口. HttpRunner3.x 集成 ...</p></div>
                            </div> 
                        </li>
                         
 
                    </ul>
                </div>  
                                            </article>
        </main>

<aside class="sidebar">
    <div id="wpcom-lastest-news-3" class="widget widget_lastest_news"><h3 class="widget-title"><span>热门文章</span></h3>            
        <ul>
                                    <li><a href="https://www.kpfans.com/article/wrWzQVk9xm.html" title="​能让乳腺增生、结节、瘤结免遭手术之痛，这个组合堪称一绝">​能让乳腺增生、结节、瘤结免遭手术之痛，这个组合堪称一绝</a></li>
                        <li><a href="https://www.kpfans.com/article/pO9PYZeZWa.html" title="古树普洱茶，一味有生命的茶">古树普洱茶，一味有生命的茶</a></li>
                        <li><a href="https://www.kpfans.com/article/7V5wMz6k96.html" title="中考综合素质评价常见问题汇总，你资料都交对了吗？">中考综合素质评价常见问题汇总，你资料都交对了吗？</a></li>
                        <li><a href="https://www.kpfans.com/article/0lWqzMOZ5X.html" title="北斗七星有多大？">北斗七星有多大？</a></li>
                        <li><a href="https://www.kpfans.com/article/oZ9jomNzW3.html" title="庸52180">庸52180</a></li>
                        <li><a href="https://www.kpfans.com/article/Yo5JQeqpW4.html" title="豪悦护理与百亚股份到底谁更赚钱（你以为百亚能在一线城市打开销量吗？主流还是宝洁、金佰利、尤妮佳）--2021-04-21">豪悦护理与百亚股份到底谁更赚钱（你以为百亚能在一线城市打开销量吗？主流还是宝洁、金佰利、尤妮佳）--2021-04-21</a></li>
                        <li><a href="https://www.kpfans.com/article/RK5EarxA5D.html" title="【七绝&#183;读孙跃进《上班途中》图】">【七绝&#183;读孙跃进《上班途中》图】</a></li>
                        <li><a href="https://www.kpfans.com/article/oZ9jxDBY53.html" title="血糖高，不控制，太可怕！医生提醒：3大危害能让人非死即残！">血糖高，不控制，太可怕！医生提醒：3大危害能让人非死即残！</a></li>
                        <li><a href="https://www.kpfans.com/article/wLWoKqPAWj.html" title="熬夜后要多吃5种水果">熬夜后要多吃5种水果</a></li>
                        <li><a href="https://www.kpfans.com/article/3RWVX4NXvN.html" title="张辉瓒女儿清华大学毕业后嫁给地下党员，要求对父墓修缮得到同意">张辉瓒女儿清华大学毕业后嫁给地下党员，要求对父墓修缮得到同意</a></li>
                    </ul>
    </div>

    <div id="wpcom-post-thumb-6" class="widget widget_post_thumb"><h3 class="widget-title"><span>随机推荐</span></h3>            
        <ul>
                                       
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/JzWQbGbV5o.html" title="名医蔡小荪蒲黄使用经验">名医蔡小荪蒲黄使用经验</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/7V5wJZ0eW6.html" title="唐朝历史人物——韦珪(唐太宗李世民韦贵妃)">唐朝历史人物——韦珪(唐太宗李世民韦贵妃)</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/EK9X874j9w.html" title="明天的两个核心点">明天的两个核心点</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/XRvk6x1B5B.html" title="9.初中数学：怎么求ax+ay的值？幂的运算，培优拓展能力提升考题">9.初中数学：怎么求ax+ay的值？幂的运算，培优拓展能力提升考题</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/Yo5JkB4Jv4.html" title="降压茶">降压茶</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/EK9XgwbXvw.html" title="你知道吗? 车和车子旁的笔顺居然不一样！有多少人一直搞错了？">你知道吗? 车和车子旁的笔顺居然不一样！有多少人一直搞错了？</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/Yo5JgVYgv4.html" title="突然升级！微信这波更新，有点味道……">突然升级！微信这波更新，有点味道……</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/7OWgBMpq9J.html" title="『我醉乡土』博陵崔护和绛娘的生死情缘/“去年今日此门中，人面桃花相映红”这首诗源于博陵">『我醉乡土』博陵崔护和绛娘的生死情缘/“去年今日此门中，人面桃花相映红”这首诗源于博陵</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/0lWqDD4r9X.html" title="罗兰之声||《那山那兵》 作者：仲晋明 朗诵：罗兰">罗兰之声||《那山那兵》 作者：仲晋明 朗诵：罗兰</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/wKv6m7yL5j.html" title="图文：震撼全世界的一段碑文，很多人后悔没早看到">图文：震撼全世界的一段碑文，很多人后悔没早看到</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/XRvklQQg9B.html" title="所有问题的答案，早就在你心里">所有问题的答案，早就在你心里</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/0X9alprmvL.html" title="微信新增“面对面红包”新玩法，过年发红包都用微信了">微信新增“面对面红包”新玩法，过年发红包都用微信了</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/LmWKRBXE9B.html" title="常德：这位双手带电的女子住在14栋2203室">常德：这位双手带电的女子住在14栋2203室</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/JP9eynMl9Z.html" title="六月重点，看这里！">六月重点，看这里！</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/ErvbkKMr9p.html" title="胃寒体弱喝红茶，中老年人应该喝些红茶，喝红茶好处有十条！">胃寒体弱喝红茶，中老年人应该喝些红茶，喝红茶好处有十条！</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/pO9PmNn7Wa.html" title="这个真实用！吉他左手基本功的练习方法，练好提升水平快">这个真实用！吉他左手基本功的练习方法，练好提升水平快</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/PxWDzj2kvn.html" title="沃尔玛禁用支付宝引质疑，阿里会如何应对？">沃尔玛禁用支付宝引质疑，阿里会如何应对？</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/wrWzNdRkWx.html" title="农谚“早立秋凉飕飕，晚立秋热到头”啥意思？今年立秋是早是晚？">农谚“早立秋凉飕飕，晚立秋热到头”啥意思？今年立秋是早是晚？</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/rLvBqpb25d.html" title="针对匈奴，汉武帝专挑春季进攻，结果匈奴女子与牲畜大量“流产”">针对匈奴，汉武帝专挑春季进攻，结果匈奴女子与牲畜大量“流产”</a></p>
                                    </div>
            </li>
                           
            <li class="item">
                            <div class="item-content item-no-thumb">
                    <p class="item-title"><a href="https://www.kpfans.com/article/mG5d7ND3WZ.html" title="70后夫妻，一辈子不生孩子，北深工作16年裸辞退休！花8万块租下云南200㎡独栋别墅，真实旅居生活曝...">70后夫妻，一辈子不生孩子，北深工作16年裸辞退休！花8万块租下云南200㎡独栋别墅，真实旅居生活曝...</a></p>
                                    </div>
            </li>
                    </ul>
    </div>
        <div id="wpcom-lastest-news-3" class="widget widget_lastest_news"><h3 class="widget-title"><span>热门标签</span></h3>            
        <ul>
                                    
        </ul>
    </div> 
               
</aside>

            </div>
</div>
<footer class="footer width-footer-bar">
    <div class="container">
        <div class="clearfix">
            <div class="footer-col footer-col-logo">
                <img src="//n4.ikafan.com/assetsj/logo.png" alt="开普饭">
            </div>
            <div class="footer-col footer-col-copy">
                  
                <div class="copyright">
                    <p>&#169; <span id="currentFullYear">2024</span>  <a href="/">开普饭</a></p>
                </div>
            </div>
            <div class="footer-col footer-col-sns">

            </div>
        </div>
    </div>
</footer>
    
    
    <script type='text/javascript' src='//n4.ikafan.com/assetsj/icons-2.6.18.js'></script>                            
    <script type='text/javascript' src='//n4.ikafan.com/assetsj/jquery-3.6.0.min.js'></script>
    <!-- <script type='text/javascript' src='https://computeinit.com/wp-includes/js/jquery/jquery-migrate.min.js'></script>                     -->
    <script type='text/javascript'>
    /* <![CDATA[ */
    var _wpcom_js = {};
    /* ]]> */
    </script>
    <script type='text/javascript' src='//n4.ikafan.com/assetsj/main.js'></script>

    <script>
    var _hmt = _hmt || [];
    (function() {
      var hm = document.createElement("script");
      hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
      var s = document.getElementsByTagName("script")[0]; 
      s.parentNode.insertBefore(hm, s);
    })();
    </script> 
 
</body>
</html>